{
  "name": "server",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json",
    "migrate:init": "migrate-mongo init",
    "migrate:up": "migrate-mongo up",
    "migrate:down": "migrate-mongo down",
    "migrate:create": "migrate-mongo create"
  },
  "dependencies": {
    "@nestjs/common": "^9.0.11",
    "@nestjs/config": "^2.2.0",
    "@nestjs/core": "^9.0.11",
    "@nestjs/jwt": "^10.0.3",
    "@nestjs/mongoose": "^9.0.1",
    "@nestjs/passport": "^9.0.0",
    "@nestjs/platform-express": "^9.0.11",
    "@nestjs/swagger": "^6.1.0",
    "@types/multer-gridfs-storage": "^4.0.4",
    "bcrypt": "^5.0.1",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.0",
    "compression": "^1.7.4",
    "helmet": "^6.0.0",
    "mongoose": "^6.2.4",
    "mongoose-gridfs": "^1.3.0",
    "mongoose-paginate-v2": "^1.4.2",
    "multer-gridfs-storage": "^5.0.1",
    "nodemailer": "^6.7.2",
    "passport": "^0.6.0",
    "passport-jwt": "^4.0.0",
    "passport-local": "^1.0.0",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.4.0"
  },
  "devDependencies": {
    "@nestjs/cli": "^9.1.1",
    "@nestjs/schematics": "^9.0.1",
    "@nestjs/testing": "^9.0.11",
    "@types/bcrypt": "^5.0.0",
    "@types/express": "^4.17.13",
    "@types/jest": "^29.5.1",
    "@types/mongodb": "^4.0.6",
    "@types/mongoose-paginate-v2": "^1.4.1",
    "@types/node": "^18.7.13",
    "@types/nodemailer": "^6.4.4",
    "@types/passport": "^1.0.7",
    "@types/passport-jwt": "^3.0.6",
    "@types/passport-local": "^1.0.34",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "5.59.0",
    "@typescript-eslint/parser": "5.59.0",
    "eslint": "^8.5.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.24.0",
    "jest": "^29.5.0",
    "migrate-mongo": "^10.0.0",
    "prettier": "^2.3.2",
    "supertest": "^6.1.6",
    "ts-jest": "29.1.0",
    "ts-loader": "^9.2.5",
    "ts-node": "^10.2.1",
    "tsconfig-paths": "^4.1.0",
    "typescript": "^5.0.4"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  },
  "engines": {
    "node": ">= 17",
    "npm": ">= 8"
  }
}
